<!DOCTYPE html>
<html prefix="og: http://ogp.me/ns#" lang="{{ app.request.locale|e('html_attr') }}" class="lang-base-{{ (app.request.locale|e('html_attr')|split('_', 2))[0] }}" x-ajax-landing="{{ ajax_landing }}">
<head>
    {% block html_head %}
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta charset="UTF-8" />

        <!-- Tell mobile devices not to perform desktop scaling -->
        <meta name="viewport" content="width=device-width, user-scalable=no">

        <!-- Set the base URL to account for virtual mod_rewrite URLs -->
        <base target="_blank" href="{{ app.request.getBaseURL() }}">

        <!-- Set OG tags for Social Network Ads :] -->
        <meta property="og:title" content="MyHordes">
        <meta property="og:description" content="{{ 'Das Zombie Survival Game!'|trans({}, 'global')}}">
        <meta property="og:image" content="{{ absolute_url(asset('build/images/favicon.ico')) }}">
        <meta property="og:url" content="{{ app.request.uri }}">
        <meta property="og:type" content="website">
        <meta property="og:locale" content="de_DE" />
        <meta property="og:locale:alternate" content="fr_FR" />
        <meta property="og:locale:alternate" content="es_ES" />
        <meta property="og:locale:alternate" content="en_US" />
        <meta property="og:image" content="{{ absolute_url(asset('build/images/myhordes-og.png')) }}" />

        <!-- Load CSS -->
        {{ encore_entry_link_tags('app') }}

        <!-- Load JS -->
        {{ encore_entry_script_tags('app') }}

        <!-- Set Favicon -->
        <link rel="shortcut icon" href="{{ absolute_url(asset('build/images/favicon.ico')) }}" sizes="310x310">

        <!-- Set page title -->
        {% if block('title') is defined %}
            <title>MyHordes - {{ block('title') }}</title>
        {% else %}
            <title>MyHordes</title>
        {% endif %}
    {% endblock %}
</head>
<body onclick class="{% if is_granted('ROLE_USER') %}online_body{% else %}offline_body{% endif %} {% if custom_css is defined and custom_css != '' %}{{ custom_css }}{% endif %}">
<div id="notifications"></div>
<div id="post-office">
    <div id="post-office-box">
        <div id="post-office-content"></div>
        <div id="post-office-button-overlay">
            <ul><li><img src="{{ asset('build/images/icons/b_close.png') }}" alt="(X)"></li></ul>
        </div>
    </div>
</div>
<div id="wrapper">
    <div id="header">
        <div id="header-reload-area"></div>
        <div id="postbox" class="hidden">
            <div><img src="{{ asset('build/images/icons/small_mail.gif') }}" alt=""></div>
            <div><img src="{{ asset('build/images/icons/anim_icon_mail.gif') }}" alt=""></div>
            <div id="postbox-new-msg-counter">0</div>
        </div>
        {% block header %}{% endblock %}
    </div>

    <div id="content">
        <noscript>
            <div class="row">
                <div class="cell padded rw-12">
                    <h1>JavaScript required</h1>
                    <p>This website requires JavaScript to work. You are seeing this page because JavaScript is either disabled or blocked in your browser.</p>
                    <p>If you are using Adblockers or Scriptblockers, please disable them to use this website.</p>
                </div>
            </div>
        </noscript>
    </div>

    <div id="footer"></div>
</div>
<div id="tooltip_container"></div>
<div id="loadzone" x-stack="0">
    <div><img src="{{ asset('build/images/anims/loading.gif') }}" alt=""></div>
    <div><img src="{{ asset('build/images/anims/loading.gif') }}" alt=""></div>
</div>
<div id="modal-backdrop">
    <div id="modal">
        <div id="modal-title"></div>
        <div id="modal-content"></div>
        <div id="modal-actions"></div>
    </div>
</div>

</body>
<footer class="{% if custom_css is defined and custom_css != '' %}{{ custom_css }}{% endif %}">
    {% block footer %}
        {% if debug %}
            <div class="row">
                <div class="cell rw-5 ro-7 rw-md-6 ro-md-6 rw-sm-12 ro-sm-0">
                    <div class="debug_info row-flex content-center-vertical">
                        <div class="padded-small cell grow-1">
                            <i class="fa fa-exclamation-triangle"></i> <b>BETA VERSION</b>
                            <br />Please report issues on <a href="https://gitlab.com/eternaltwin/myhordes/myhordes/-/issues">GitLab</a> or the <a href="{{ url('forum_list') }}">World Forum</a>!
                            <br />Help translate MyHordes on <a href="https://crwd.in/myhordes">Crowdin</a>!
                        </div>
                        <div class="padded-small cell version shrink-0">
                            <div class="version-badge-global"><i class="fas fa-globe-europe"></i> <b>{{ version.major }}.{{ version.minor}}.{{ version.patch}}</b></div>
                            {% if version.isPreRelease %}
                                {% set prerelease = version.preRelease.toString|split('.') %}
                                {% if prerelease|length > 0 %}
                                    <div class="version-badge-pre"><i class="fa fa-flask"></i> <i>{{ prerelease[0] }}</i> {{ prerelease[1] ?? '' }}</div>
                                    {% if prerelease|length > 3 %}
                                        <div class="version-badge-build"><i class="fas fa-code-branch"></i> [ {{ prerelease[3] }} ]</div>
                                    {% endif %}
                                {% endif %}
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>

        {% endif %}
        <div class="row">
            <div class="padded cell footer rw-5 rw-sm-12 justify">
                <div>
                    <strong>MyHordes</strong>
                    <div class="content">
                        {{ 'Dies ist ein Fan-Projekt für die Spiele {dv}, {d2n}, {hordes} und {zn} von <b>MotionTwin</b>.'|trans({'dv': '<a href="http://dieverdammten.de">Die Verdammten</a>', 'd2n': '<a href="http://die2nite.com/">Die2Nite</a>', 'hordes': '<a href="http://hordes.fr/">Hordes</a>', 'zn': '<a href="http://www.zombinoia.com/">Zombinoia</a>' },'global')|raw }}
                        {{ 'All Grafiken stammen aus diesen Spielen, wenn nicht explizit anders angegeben, und sind damit Eigentum von <b>MotionTwin</b>'|trans({},'global')|raw }}
                        <br /><br />
                        {{ 'MyHordes ist <i>Open Source</i> und jeder ist zur <b>Mitwirkung</b> eingeladen. Du findest den Quellcode bei {gitlab}.'|trans({'gitlab': '<a href="https://gitlab.com/eternaltwin/myhordes/myhordes/-/issues">Gitlab</a>'},'global')|raw }}
                        <br /><br />
                        {{ 'MyHordes ist ein Teil des {etwin} Projekts, du kannst uns auf {opencollective} mit einer Spende unterstützen.'|trans({'etwin': '<a href="https://eternal-twin.net">EternalTwin</a>', 'opencollective': '<a href="https://opencollective.com/eternaltwin">OpenCollective</a>'},'global')|raw }}
                    </div>
                </div>
            </div>
            <div class="padded cell-small footer rw-7 rw-sm-24 center">
                <div>
                    <strong>{{ 'Programmierung'|trans({}, 'global') }}</strong>
                    <div class="content">
                        {% for dev in devs %}
                            <div>{{ dev|raw }}</div>
                        {% endfor %}
                    </div>
                </div>
            </div>
            <div class="padded cell-small footer rw-7 rw-sm-24 center">
                <div>
                    <strong>{{ 'Danke an'|trans({}, 'global') }}</strong>
                    <div class="content">
                        {% for supporter in supporters %}
                            <i>{{ supporter }}</i>{% if not loop.last %},{% endif %}
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    {% endblock %}
</footer>
<script>
    (function() {
        document.getElementById('header-reload-area').addEventListener('click', function() { window.location.href = $.ajax.getBaseURL(); })
        window.c = {
            'errors': {
                'default': '{% trans from 'global' %}Allgemeiner Fehler.{% endtrans %}',
                {{ include('scripts/errors/generic.txt.twig') }}
                {{ include('scripts/errors/profile.txt.twig') }}
                {{ include('scripts/errors/town.txt.twig') }}
                {{ include('scripts/errors/beyond.txt.twig') }}
                {{ include('scripts/errors/inventory.txt.twig') }}
                {{ include('scripts/errors/actions.txt.twig') }}
                {{ include('scripts/errors/forum.txt.twig') }}
                {{ include('scripts/errors/ghost.txt.twig') }}
                {{ include('scripts/errors/messages.txt.twig') }}
            },
            'langs': {
                'de': '{{ 'Deutsch'|trans({},'global') }}',
                'en': '{{ 'Englisch'|trans({},'global') }}',
                'fr': '{{ 'Französisch'|trans({},'global') }}',
                'es': '{{ 'Spanisch'|trans({},'global') }}',
            },
            'label': {
                'confirm': '{{ 'Bestätigen'|trans({},'global') }}'
            },
            'taptut': '{{ 'Schon gewusst? Bei vielen Aktionen wird auf mobilen Geräten zunächst ein Hilfetext eingeblendet. Wenn du die Aktion durchführen möchtest, musst du die Aktion erneut antippen. Wenn du es eilig hast und lieber keine Hilfetexte sehen möchtest, kannst du dieses Verhalten kannst du in deinen Seeleneinstellungen über die Einstellung "Tooltips auf mobilen Geräten durch antippen anzeigen" deaktivieren.'|trans({},'global')|e('js') }}'
        };

        $.html.setInitParams({
            userPopupEndpoint: '{{ path('soul_tooltip') }}',
            userPopupLoadingAnimation: '{{ asset('build/images/anims/loading.gif') }}'
        })

        $.html.addEventListenerAll('#post-office','click', function(e,elem) {
            if (e.target !== elem) return;
            elem.classList.remove('visible');
            document.body.style.overflow = null;
            $.msg.togglePing(true);
            $.msg.toggleFetch(false);
            $.msg.restoreFetchEndpoint();
            $.msg.setFetchRK(null);
            $.msg.execute();
        });
        $.html.addEventListenerAll('#post-office-button-overlay>ul>li:last-child','click', function() {
            let post = document.getElementById('post-office');
            if (post) {
                post.classList.remove('visible');
                document.body.style.overflow = null;
                $.msg.togglePing(true);
                $.msg.toggleFetch(false);
                $.msg.restoreFetchEndpoint();
                $.msg.setFetchRK(null);
                $.msg.execute();
            }
        });
        $.msg.registerPingEndpoint( '{{ path('api_pm_ping') }}' );
        $.msg.registerPingCallback(data => {
            if (data.connected) {
                $.html.forEach('#postbox', e => e.classList.remove('hidden'));
                document.getElementById('postbox-new-msg-counter').innerText = data.newMessages;
                if (data.newMessages > 0) $.html.forEach('#postbox', e => e.classList.add('new-messages'));
                else $.html.forEach('#postbox', e => e.classList.remove('new-messages'));
                $.html.setTitleSegmentCount(data.newMessages);
            }
            else $.html.forEach('#postbox', e=>e.classList.add('hidden'));
        }, true);
        $.msg.registerFetchEndpoint( '{{ path('api_pm_spring') }}' );
        $.msg.toggleFetch(false);

        $.html.addEventListenerAll('#postbox','click', function() {
            let post = document.getElementById('post-office');
            if (post) {
                post.classList.add('visible');
                document.body.style.overflow = 'hidden';
                document.getElementById('post-office-content').innerText = '';

                $.msg.restoreFetchEndpoint();
                $.msg.togglePing(false);
                $.msg.toggleFetch(true);
                $.msg.setFetchRK(null);

                $.html.setTitleSegmentCount(0);

                let data = {};
                const command = document.getElementById('postbox').getAttribute('x-post-command');
                if (command) {
                    document.getElementById('postbox').removeAttribute('x-post-command');
                    data.command = command;
                }

                $.ajax.background().load( document.getElementById('post-office-content'),'{{ url('pm_view')|e('js') }}', false, data);
            }
        });
    })();

</script>
</html>
